﻿<center>
    @Html.DevExpress().Calendar(
            settings =>
            {
                settings.Name = "calendarJuly";
                settings.Properties.HighlightToday = false;
                settings.Properties.HighlightWeekends = false;
                settings.Properties.ShowClearButton = false;
                settings.Properties.ShowTodayButton = false;
                settings.Properties.ShowDayHeaders = true;
                settings.Properties.ShowHeader = false;
                settings.Properties.ShowWeekNumbers = false;
                settings.SelectedDate = Convert.ToDateTime(@ViewData["July"]); //Convert.ToDateTime("2017-01-01");
                settings.Properties.EnableMonthNavigation = false;
                settings.Properties.EnableYearNavigation = false;
                //settings.Properties.DateTime = DateTime.Today.AddMonths(+1);
                //settings.Properties.EnableMultiSelect = options.EnableMultiSelect;
                //settings.Properties.ClientSideEvents.SelectionChanged = "SaveSelectedDates";
                //settings.Properties.ClientSideEvents.Init = "SaveSelectedDates";

                //if (ViewData["SelectedDates"] != null)
                //{
                //    settings.SelectedDates.Add((DateTime[])ViewData["SelectedDates"]);
                //}

                //if (options.DisableDates)
                //{
                //    settings.Properties.DisabledDates.AddRange((List<DateTime>)ViewData["DisabledDates"]);
                //    settings.Properties.ClientSideEvents.CustomDisabledDate = "CustomDisabledDates";
                //}

                settings.DayCellPrepared = (s, e) =>
                {
                    //ViewData["Calenders"];
                    var Model = (List<SPEX.Models.mCalendarMaster>)Session["Calenders"];
                    if (Model != null)
                    {
                        if (Model.Where(a=>a.date.Month==7).Count()>0)
                        {
                            foreach (SPEX.Models.mCalendarMaster md in Model)
                            {
                                if (e.Date == md.date && md.date.Month == 7 && md.WorkingDay == 0)
                                {
                                    e.Cell.ForeColor = System.Drawing.Color.Red;
                                }
                                //e.SelectDate(Convert.ToDateTime("2017-01-01"));
                                //add agi 2017-08-22
                                if (e.Date == md.date && !string.IsNullOrEmpty(md.Reason))
                                {
                                    e.Cell.ToolTip = md.Reason;
                                }

                            }
                        }
                        else if (e.IsWeekend && e.Date.Month == 7)
                        {
                            if (e.Date.Month==7)
                            {
                                e.Cell.ForeColor = System.Drawing.Color.Red;
                            }                            
                        }
                        
                    }
                    else if (e.IsWeekend && e.Date.Month == 7)
                    {
                        e.Cell.ForeColor = System.Drawing.Color.Red;
                    }
                    e.Cell.BackColor = System.Drawing.Color.White;
                };

            }).GetHtml()
</center>